Subject: Re: bug#4675: 23.1.50; dired broken

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Oct 2009 21:36:47 +0200

> From: henry atting <[email-masked]>
> Date: Thu, 08 Oct 2009 18:29:35 +0200
> Cc: [email-masked]
> 
> `M-x dired' results in this error message:
> 
> Autoloading failed to define function epa-dired-mode-hook
> 
> Emacs started with emacs -Q --> dired works fine.
> 
> M-x toogle-debug-on-error:
> 
> Debugger entered--Lisp error: (error "Autoloading failed to define 
> function epa-dired-mode-hook")
>   epa-dired-mode-hook()
>   run-hooks(dired-mode-hook)
>   apply(run-hooks dired-mode-hook)
>   run-mode-hooks(dired-mode-hook)
>   dired-mode("~/" "-lahX")
>   dired-internal-noselect("~/" nil)
>   dired-noselect("/home/atting/" nil)
>   dired("/home/atting/")
>   ido-file-internal(dired dired nil "Dired: " dir)
>   ido-dired()
>   call-interactively(ido-dired nil nil)

I'm quite sure this extra package epa-dired is to blame:

> /usr/share/emacs/23.1.50/lisp/epa-dired hides /home/atting/emacs+/elisp_div/epa-dired

I'm closing this bug report, as "emacs -Q" does not exhibit the
problem.  I suggest that you take this up with Debian maintainers who
modified the original Emacs snapshot.